FROM golang:1.20.4

RUN yum update -y && \
    yum install -y wget gcc make openssl-devel bzip2-devel libffi-devel zlib-devel git

#ENV GIT_SSH_COMMAND='ssh -o StrictHostKeyChecking=no -i /root/.ssh/id_rsa'
RUN yum install -y autoconf gettext && \
    wget http://github.com/git/git/archive/v2.32.0.tar.gz && \
    tar -xvf v2.32.0.tar.gz && \
    rm -f v2.32.0.tar.gz && \
    cd git-* && \
    make configure && \
    ./configure --prefix=/usr && \
    make -j16 && \
    make install

